org.wildfly.swarm.jpa

## Class JPAFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.JPA<JPAFraction>
      - - org.wildfly.swarm.jpa.JPAFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<JPAFraction>

      public class JPAFraction
      extends JPA<JPAFraction>
      implements Fraction<JPAFraction>

  Author:
    Ken Finnigan, Lance Ball
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.JPA

      `JPA.DefaultExtendedPersistenceInheritance`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPAFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static JPAFraction` | `createDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.JPA

      `addPropertyChangeListener, defaultDatasource, defaultDatasource, defaultExtendedPersistenceInheritance, defaultExtendedPersistenceInheritance, getKey, removePropertyChangeListener`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### JPAFraction

          public JPAFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static JPAFraction createDefaultFraction()

    - #### applyDefaults

          public JPAFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<JPAFraction>`
      Returns:
        this fraction.

Copyright © 2018 JBoss by Red Hat. All rights reserved.